package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

/**
 * 项目到资
(最少一条记录、合计、回写项目单)对象 bm_construction_pay
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public class BmConstructionPay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目施工id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;


    /** 进度(数据字典：土地款、租金、设备、工程款、其他)* */
    @Excel(name = "进度(数据字典：土地款、租金、设备、工程款、其他)*")
    private String payForType;
    /**
     * 进度
     */
    private String payForTypeName;

    /**
     * 到资金额(万)
     */
    private BigDecimal payForMoney;

    /** 照片* */
    @Excel(name = "照片*")
    private String photo;

    public String getPayForTypeName() {
        return payForTypeName;
    }

    public void setPayForTypeName(String payForTypeName) {
        this.payForTypeName = payForTypeName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public String getPayForType() {
        return payForType;
    }

    public void setPayForType(String payForType) {
        this.payForType = payForType;
    }


    public BigDecimal getPayForMoney() {
        return payForMoney;
    }

    public void setPayForMoney(BigDecimal payForMoney) {
        this.payForMoney = payForMoney;
    }

    public void setPhoto(String photo)
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }

    @Override
    public String toString() {
        return "BmConstructionPay{" +
                "id=" + id +
                ", bmProjectId=" + bmProjectId +
                ", payForType='" + payForType + '\'' +
                ", payForTypeName='" + payForTypeName + '\'' +
                ", payForMoney=" + payForMoney +
                ", photo='" + photo + '\'' +
                '}';
    }
}
